Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Wed, 14 Jul 2021 09:26:53 +0000

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hello, I placed an order on the 5th of June and cancelled it on the same day, but I still did  not receive my refund 88 AED. My order number is 9667247128. 

I have previously contacted MAX on June 19th for the same issue and I was told that the refund was processed on the 5th of June and the amount will be refunded back to my original payment method within 7- 14 working days. However, I still did not receive my refund more than one month later. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2856861